Test OIDC provider connection
Owner-only endpoint to test OIDC provider discovery without committing changes. Validates that the issuer URL is reachable and returns discovered endpoints.
Operation ID
test_oidc_connectionOwner-only endpoint to test OIDC provider discovery without committing changes. Validates that the issuer URL is reachable and returns discovered endpoints.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/settings/external-access/oidc/test-connection" \ -H "Content-Type: application/json" \ -d '{ "issuer_url": "string" }'{ "authorization_endpoint": "string", "discovered_issuer": "string", "jwks_uri": "string", "scopes_supported": [ "string" ], "success": true, "token_endpoint": "string", "userinfo_endpoint": "string"}